org.gnome.gtk

## Interface Activatable

- All Known Implementing Classes:
    Button, CheckButton, CheckMenuItem, ColorButton, FontButton, ImageMenuItem, LinkButton, MenuItem, MenuToolButton, RadioButton, RadioMenuItem, RadioToolButton, ScaleButton, SeparatorMenuItem, SeparatorToolItem, TearoffMenuItem, ToggleButton, ToggleToolButton, ToolButton, ToolItem

      public interface Activatable

  Widgets which have a notion of being activated.
  Since:
    4.0.16
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getRelatedAction()` Get the Action that is triggered when this Activatable is activated, if any.
    `void` | `setRelatedAction(Action action)` Set the Action that is triggered when this Activatable is activated.

- - ### Method Detail

    - #### getRelatedAction

          Action getRelatedAction()

      Get the Action that is triggered when this Activatable is activated, if any.
      Since:
        4.0.16

    - #### setRelatedAction

          void setRelatedAction(Action action)

      Set the Action that is triggered when this Activatable is activated.

      This replaced Action's connectProxy().

      Since:
        4.0.16